### Method

# Gtk SpinButtonspin

#### Declaration [src]

    void
    gtk_spin_button_spin (
      GtkSpinButton* spin_button,
      GtkSpinType direction,
      double increment
    )

#### Description [src]

Increment or decrement a spin button’s value in a specified direction by a specified amount.

#### Parameters

`direction`

  Type: `GtkSpinType`

  A `GtkSpinType` indicating the direction to spin.

`increment`

  Type: `double`

  Step increment to apply in the specified direction.